Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class AreaFormatInfo

    java.lang.Object
      jet.report.xls.AreaFormatInfo

    public class AreaFormatInfo

extends java.lang.Object

contains the information of Area format in the file.

Field Summary
`static short` | `AUTOFORMAT`
`static int` | `COLOR`
`static int` | `GRADIENT`
`static short` | `NONE`
`static int` | `PATTERN`
`static int` | `PICTURE`
`static int` | `TEXTURE`

Constructor Summary
`AreaFormatInfo()` Constructs a AreaFormatInfo record
`AreaFormatInfo(GradientInfo gradientInfo)` Constructs a AreaFormatInfo record and sets its fields appropriately.
`AreaFormatInfo(int rgbFore, int rgbBack, short pattern, short grbit, GlobalWorksheet gws)` Constructs a AreaFormatInfo record and sets its fields appropriately.
`AreaFormatInfo(PatternInfo patternInfo)` Constructs a AreaFormatInfo record and sets its fields appropriately.

Method Summary
`int` | `getBackColor()` Get the background color of area
`int` | `getForeColor()` Get the forground color of area
`GradientInfo` | `getGradientInfo()` get the information of gradient color
`short` | `getPattern()` get the pattern of area
`PatternInfo` | `getPatternInfo()` get the information of pattern color
`TextureInfo` | `getTextureInfo()` get the information of texture color
`boolean` | `isAutoFormat()` get whether automatic format or not
`void` | `setBackColor(int color, GlobalWorksheet gws)` Set the background color of area
`void` | `setForeColor(int color, GlobalWorksheet gws)` Set the forground color of area
`void` | `setGradientInfo(GradientInfo gradientInfo)` set the information of gradient color
`void` | `setPattern(short pattern)` set the pattern of area
`void` | `setPatternInfo(PatternInfo patternInfo)` set the information of pattern color
`void` | `setTextureInfo(PatternInfo patternInfo)` set the information of texture color

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final short NONE

See Also:
  Constant Field Values

### AUTOFORMAT

    public static final short AUTOFORMAT

See Also:
  Constant Field Values

### COLOR

    public static final int COLOR

See Also:
  Constant Field Values

### GRADIENT

    public static final int GRADIENT

See Also:
  Constant Field Values

### TEXTURE

    public static final int TEXTURE

See Also:
  Constant Field Values

### PATTERN

    public static final int PATTERN

See Also:
  Constant Field Values

### PICTURE

    public static final int PICTURE

See Also:
  Constant Field Values

Constructor Detail

### AreaFormatInfo

    public AreaFormatInfo()

  Constructs a AreaFormatInfo record

### AreaFormatInfo

    public AreaFormatInfo(int rgbFore,
                          int rgbBack,
                          short pattern,
                          short grbit,
                          GlobalWorksheet gws)

  Constructs a AreaFormatInfo record and sets its fields appropriately.

  Parameters:
    `rgbFore` - Foreground color
    `rgbBack` - Background color
    `pattern` - Pattern of area 1 for color 0 for none
    `grbit` - Format flags of area NONE or AUTOFORMAT

### AreaFormatInfo

    public AreaFormatInfo(GradientInfo gradientInfo)

  Constructs a AreaFormatInfo record and sets its fields appropriately.

  Parameters:
    `gradientInfo` - Information of gradient area color

### AreaFormatInfo

    public AreaFormatInfo(PatternInfo patternInfo)

  Constructs a AreaFormatInfo record and sets its fields appropriately.

  Parameters:
    `patternInfo` - Information of pattern area color

Method Detail

### setPattern

    public void setPattern(short pattern)

  set the pattern of area

  Parameters:
    `pattern` - is the pattern of the area

### getPattern

    public short getPattern()

  get the pattern of area

### isAutoFormat

    public boolean isAutoFormat()

  get whether automatic format or not

  Returns:
    whether automatic format

### setForeColor

    public void setForeColor(int color,
                             GlobalWorksheet gws)

  Set the forground color of area

  Parameters:
    `color` - forground color of area

### getForeColor

    public int getForeColor()

  Get the forground color of area

  Returns:
    the forground color of area

### setBackColor

    public void setBackColor(int color,
                             GlobalWorksheet gws)

  Set the background color of area

  Parameters:
    `color` - background color of area

### getBackColor

    public int getBackColor()

  Get the background color of area

  Returns:
    the background color of area

### setGradientInfo

    public void setGradientInfo(GradientInfo gradientInfo)

  set the information of gradient color

  Parameters:
    `gradientInfo` - is the information of gradient color

### getGradientInfo

    public GradientInfo getGradientInfo()

  get the information of gradient color

  Returns:
    the information of gradient color

### setPatternInfo

    public void setPatternInfo(PatternInfo patternInfo)

  set the information of pattern color

  Parameters:
    `patternInfo` - is the information of pattern color

### getPatternInfo

    public PatternInfo getPatternInfo()

  get the information of pattern color

  Returns:
    the information of pattern color

### setTextureInfo

    public void setTextureInfo(PatternInfo patternInfo)

  set the information of texture color

  Parameters:
    `textureInfo` - is the information of texture color

### getTextureInfo

    public TextureInfo getTextureInfo()

  get the information of texture color

  Returns:
    the information of texture color

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD